---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 6fadc9e1-dfc8-59df-815f-5a3f279c2473
      tier: AATSR_CMP_MONTH
      value: 0.02237543649971485
    brdf:
      alpha_1:
        band_1: 0.24537429509539568
        band_11: 0.24397182013572305
        band_12: 0.04598944766469698
        band_2: 0.24537429509539568
        band_3: 0.5676762549013333
        band_4: 0.265471405375873
        band_5: 0.265471405375873
        band_6: 0.265471405375873
        band_7: 0.9553581650443371
        band_8: 0.9553581650443371
        band_8a: 0.9553581650443371
      alpha_2:
        band_1: 0.23534227475127933
        band_11: 0.18918462166952144
        band_12: 0.27770937336636525
        band_2: 0.23534227475127933
        band_3: 0.16280134725102957
        band_4: 0.2244170855149213
        band_5: 0.2244170855149213
        band_6: 0.2244170855149213
        band_7: 0.03342850140075317
        band_8: 0.03342850140075317
        band_8a: 0.03342850140075317
      id:
      - 9bcadcd2-e8dd-575c-bed6-18e1f6cf42f9
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 9aba3ad5-ad4a-5de9-8b62-13d55671d16f
      tier: DEFINITIVE
      value: 0.252
    water_vapour:
      id:
      - 5e03ef38-4fbb-5de0-9a73-cb6810114317
      tier: DEFINITIVE
      value: 3.3400001525878906
  id: d1b22e7d-aac6-4fc3-a816-8cbd99f615dc
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1935.6561372432486
      BAND-11: 238.0575736802072
      BAND-12: 83.28992313721251
      BAND-2: 1987.5642804573924
      BAND-3: 1862.5246414369083
      BAND-4: 1520.349087818041
      BAND-5: 1403.7074920453952
      BAND-6: 1283.4036784512998
      BAND-7: 1179.6736022539303
      BAND-8: 1037.237193473119
      BAND-8A: 945.5632338871188
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2021-04-10 01:11:46.151790Z
    atime: 2022-05-26 13:37:11Z
    ctime: 2021-04-10 09:21:34Z
    mtime: 2021-04-10 09:21:27Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2B_MSIL1C_20210410T010729_N0300_R045_T53KQB_20210410T022037.zip
  system_information:
    hostname: gadi-cpu-clx-0824.gadi.nci.org.au
    runtime_id: f24766dc-dcf8-11ec-8dcd-0000007efe80
    time_processed: 2022-05-26 13:37:11.635838Z
    uname: 'Linux gadi-cpu-clx-0824.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 30.0
    green: 2674.0
    red: 6.0
    teal: 467.0
    yellow: 11.0
  error_message: no errors
  final_qa_count: 2865
  granule: S2B_OPER_MSI_L1C_TL_VGS4_20210410T022037_A021378_T53KQB_N03.00
  ref_date: '2014-07-01T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/072/LC81000722014182LGN00_B6.TIF
  residual:
    abs:
      x: 0.29
      xy: 0.36
      y: 0.21
    abs_iterative_mean:
      x: 0.26
      xy: 0.31
      y: 0.17
    cep90: 0.5
    iterative_mean:
      x: 0.26
      xy: 0.29
      y: -0.14
    iterative_stddev:
      x: 0.14
      xy: 0.2
      y: 0.15
    mean:
      x: 0.26
      xy: 0.29
      y: -0.14
    stddev:
      x: 0.36
      xy: 0.52
      y: 0.37
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 98.22435891055437
    cloud: 0.0010019873855760266
    cloud_shadow: 0.0009588554782499063
    snow: 0.03421023818766361
    water: 1.7394700083941328
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
